Bug 590514 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib64/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib64/firefox-3.6/firefox ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:27bfeeae7f6afbaaaec44a5ed0d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 02:15 UTC by Prinse Wang
Modified: 2011-06-27 16:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:13:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (102.41 KB, text/plain)
2010-05-10 02:15 UTC, Prinse Wang
no flags Details

Description Prinse Wang 2010-05-10 02:15:28 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.6/firefox
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/firefox-3.6/firefox
global_uuid: 27bfeeae7f6afbaaaec44a5ed0d92a0a574cedab
kernel: 2.6.33.3-85.fc13.x86_64
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib64/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

Comment 1 Prinse Wang 2010-05-10 02:15:34 UTC
Created attachment 412697 [details]
File: backtrace

Comment 2 Chris Campbell 2010-05-10 19:12:51 UTC
#2  <signal handler called>
No symbol table info available.
#3  plugin_get_documentbase (instance=<value optimized out>)
    at /usr/src/debug/icedtea6-1.7.1/plugin/icedteanp/IcedTeaNPPlugin.cc:1051
        i = <value optimized out>
        documentbase = 0x0
        window = 0x7fedb0c734c0
        parts_sz = 0
        documentbase_copy = 0x0
        script = {UTF8Characters = 0x7fedab64da48 "window.location.href", 
          UTF8Length = 20}
        script_str = "window.location.href"
        location = <value optimized out>
        location_str = ""
        parts = <value optimized out>
#4  0x00007fedce5da0d2 in GCJ_New (pluginType=<value optimized out>, instance=
    0x7fedada23dd8, mode=<value optimized out>, argc=<value optimized out>, 
    argn=0x7fedac281b80, argv=<value optimized out>, saved=0x0)
    at /usr/src/debug/icedtea6-1.7.1/plugin/icedteanp/IcedTeaNPPlugin.cc:333
        read_message = <value optimized out>
        applet_tag = <value optimized out>
        tag_message = <value optimized out>
        npPluginObj = <value optimized out>
        window_ptr = 0x7fedb0c734c0
        np_error = <value optimized out>
        data = 0x7fedac281d00
        identifier = <value optimized out>
        member_ptr = {type = NPVariantType_Object, value = {boolValue = 224, 
            intValue = -1329122080, doubleValue = 6.9494705480553811e-310, 
            stringValue = {UTF8Characters = 0x7fedb0c734e0 "`\372#H3", 
              UTF8Length = 2913091008}, objectValue = 0x7fedb0c734e0}}
        documentbase = <value optimized out>
        cookie_info = <value optimized out>
#5  0x00000033477c847a in nsNPAPIPluginInstance::InitializePlugin (this=
    0x7fedada23dc0) at nsNPAPIPluginInstance.cpp:1365
        startTime = 2144495164
        guard = warning: can't find linker symbol for virtual table for `PluginDestructionGuard' value
warning:   found `nsPluginDestroyRunnable::sRunnableListHead' instead
{<PRCListStr> = {next = 0x334823fa50, prev = 0x334823fa50}, 
          mInstance = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fedada23dc0}, <No data fields>}, mDelayedDestroy = 0, 
          static sListHead = {next = 0x7ffffd4c6a10, prev = 0x7ffffd4c6a10}}
        rv = <value optimized out>
        count = <value optimized out>
        names = 0x7fedac281b80
        values = 0x7fedac281c40
        tagtype = nsPluginTagType_Applet
        mimetype = 0x7fedb0c734a0 "application/x-java-vm"
        flashMimeType = "application/x-shockwave-flash"
        error = <value optimized out>
        blockedParam = "swliveconnect"
        oldVal = -1567454976
#6  0x00000033477cd5a5 in nsPluginHost::TrySetUpPluginInstance (this=
    0x7fede0ca2680, aMimeType=0x7fedb0a06f48 "application/x-java-vm", aURL=
    0x7feda29289e0, aOwner=0x7feda1d08460) at nsPluginHost.cpp:3674
        mimetype = 0x7fedb0a06f48 "application/x-java-vm"
        pluginTag = <value optimized out>
        urlSpec2 = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 0x7ffffd4c6d68 "\001", mLength = 
    1200982291, mFlags = 51}, <No data fields>}, mFixedCapacity = 3804432416, 
            mFixedBuf = 0x5 <Address 0x5 out of bounds>}, mStorage = 
    "\340\211\222\242\355\177\000\000 \201\222\242\355\177\000\000(\004.\252\355\177\000\000\347S\226G3\000\000\000\000\000\377\000\000\000\000\000\340\211\222\242\355\177\000\000\060lL\375\377\177\000\000\263\270\017G3\000\000"}
        urlSpec = {<nsFixedCString> = {<nsCString> = {<nsACString_internal> = 
    {mData = 
    0x7fedb24d7208 "http://www.geogebra.org/webstart/3.2/unsigned/geogebra.GeoGebraAppletPreloader", mLength = 78, mFlags = 65541}, <No data fields>}, 
            mFixedCapacity = 63, mFixedBuf = 0x7ffffd4c6bc0 ""}, mStorage = 
    "\000mL\375\377\177\000\000\265\312\024G3\000\000\000 lL\375\377\177\000\000 \005l\356\355\177\000\000 \005l\356\355\177\000\000\371\240!\n\337\264\004\066\020mL\375\377\177\000\000`\204\320\241\355\177\000"}
        result = 0
        instance = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fedada23dc0}, <No data fields>}
        plugin = {<nsCOMPtr_base> = {mRawPtr = 
    0x7fedaacb9160}, <No data fields>}



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 drewskiwooskie 2010-05-12 14:39:00 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.attempted to allow the script http://npad.iupui.mlab3.lga02.measurement-lab.org:8000/ to run
2. 
3.


Comment
-----
I run no script, so when I went here http://npad.iupui.mlab3.lga02.measurement-lab.org:8000/ I had to allow the script to do the testing to run. I allowed it, and it crashes firefox.

Comment 4 Bug Zapper 2011-06-02 14:17:03 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2011-06-27 16:13:16 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.